# remcon

This program was developed for a very specific problem. Let me describe a situation.

You have a pc, and you want to use it as a television. Simple, most channels have online live streams, right?
That's good. But you want to watch from your bed, which is across the room, on the other corner. So every time
you want to change the channel, adjust volume, or simply pause, you have to get up from bed. This is cumbersome.

That's where this program comes in. You can run this program (a REMote CONtrol) on your far-away pc (presumably
through SSH or the like), and it'll take care of handling things like switching channels, toggling fullscreen,
muting/unmuting, pausing etc. with a simple command.

Currently supported operations/commands:

- `fst` : Full Screen Toggle
- 'refresh' : refresh the page and enter fullscreen again.
- 'exit' : exit.

Only a few of the channels that I watch are really supported. Most of which are turkish channels.
Feel free to mail me if you want a channel added.

## Installation

### Download the JAR

If you don't want/need to build the program yourself, just download the jar file from releases.

### Building
Install dependancies from your distro's package manager (or wherever you can find them, if you're on windows):

- Clojure
- Leiningen
- Java Runtime Environment

Clone the repository:

`git clone https://git.emin.software/haxala1r/remcon.git`

Run it directly:

`lein run`

... or build an uberjar you can run anywhere with JRE installed:
`lein uberjar`

## Usage

Just run with java -jar:

```
    $ java -jar remcon-0.1.0-standalone.jar
```

If you want the program to use chrome instead, pass `ch` as a paramater.

After the program starts, you can type the name of a channel, and the program
will switch to that channel. Or type some other command.

## Options

FIXME: listing of options this app accepts.

## License

Copyright © 2024 FIXME

This program and the accompanying materials are made available under the
terms of the Eclipse Public License 2.0 which is available at
http://www.eclipse.org/legal/epl-2.0.

This Source Code may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License, v. 2.0 are satisfied: GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or (at your
option) any later version, with the GNU Classpath Exception which is available
at https://www.gnu.org/software/classpath/license.html.
