(ns remcon.core
  (:gen-class))

(require '[etaoin.api :as e]
         'remcon.channels)

; The actual map of channels is defined in remcon.channels
(refer 'remcon.channels :only ['channels])

(defn toggle-fs [driver ch]
  (e/double-click driver (:vid ch)))

(defmacro unless [pred & body]
  `(if (not ~pred)
     (do ~@body)))

(defn general-goto [driver ch]
  (e/go driver (:address ch))
  (e/wait-visible driver (:vid ch))
  (e/wait driver 2)
  (unless (:autostarts ch)
          (e/click driver (:vid ch))
          )
  (when (:muted ch)
    (if (not (:autostarts ch))
      (do
        (e/fill-active driver "m")
        (println "hi1231232131"))
      (do
        (e/click driver (:vid ch))
        (e/wait driver 0.1)
        (e/click driver (:vid ch))
        (e/fill-active driver "m")))))

(defn easy [d chname]
  (general-goto d (get channels chname) )
  (toggle-fs d (get channels chname)))

(defn -main
  [& args]
  (let [driver (if (= (first args) "ch")
                 (e/chrome {:args ["start-maximized" "--no-sandbox" "--disable-dev-shm-usage"]})
                 (e/firefox))]
    (loop [line (read-line)
           channel nil]
      (cond
        (= line "exit") (e/quit driver)
        (= line "fst") (do
                         (if (not (nil? channel))
                           (toggle-fs driver channel)
                           (println "No channel is open right now."))
                         (recur (read-line) channel))
        (= line "refresh") (do
                             (e/refresh driver)
                             (toggle-fs driver channel)
                             (recur (read-line) channel)) 
        (get channels line) (do
                              (general-goto driver (get channels line))
                              (toggle-fs driver (get channels line))
                              (recur (read-line) (get channels line)))
        :else (do (println "Don't know that command.")
                  (recur (read-line) channel))))))